# When an invoice was sent, opened by the client and reported paid by them

`GET /invoices/{id}/doc-events` · Rivier · shop

When an invoice was sent, opened by the client and reported paid by them.

- Scope: shop:read
- Mcp: rivier_invoices_doc_events
- Graphql: Query.shopInvoiceDocEvents
- Sdk: shop.invoice.docEvents
- Cli: invoices doc-events

## Parameters

- `id` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/invoices/{id}/doc-events' \
  -H 'Authorization: Bearer $KEY'
```
